--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -1707,168 +2719,296 @@
 	7916  RS690 PCI to PCI Bridge (PCI Express Port 2)
 	7917  RS690 PCI to PCI Bridge (PCI Express Port 3)
 		1002 7910  RS690 PCI to PCI Bridge
-	7919  Radeon X1200 Series Audio Controller
+	7919  RS690 HDMI Audio [Radeon Xpress 1200 Series]
 		1179 7919  Satellite P305D-S8995E
 		17f2 5000  KI690-AM2 Motherboard
-	791e  RS690 [Radeon X1200 Series]
+	791e  RS690 [Radeon X1200]
 		1462 7327  K9AG Neo2
 		17f2 5000  KI690-AM2 Motherboard
-	791f  RS690M [Radeon X1200 Series]
+	791f  RS690M [Radeon Xpress 1200/1250/1270]
 		1179 ff50  Satellite P305D-S8995E
-	7930  Radeon Xpress 7930 Host Bridge
-	7932  RS7932 PCI Bridge
-	7933  RS7933 PCI Bridge
-	7936  RS7936 PCI Bridge
-	793b  RS600 audio device [Radeon Xpress 12xx Series]
-	793f  RS600 [Radeon Xpress 1200 Series]
-	7941  RS600 [Radeon Xpress 1200 Series]
-	7942  Radeon Xpress 1250
-	796e  Radeon 2100
-	7c37  RV350 AQ [Radeon 9600 SE]
-	9400  R600 [Radeon HD 2900 Series]
-		1002 3000  Sapphire Radeon HD 2900 XT
+	7930  RS600 Host Bridge
+	7932  RS600 PCI to PCI Bridge (Internal gfx)
+	7933  RS600 PCI to PCI Bridge (PCI Express Graphics Port 0)
+	7935  RS600 PCI to PCI Bridge (PCI Express Port 1)
+	7936  RS600 PCI to PCI Bridge (PCI Express Port 2)
+	7937  RS690 PCI to PCI Bridge (PCI Express Port 3)
+	793b  RS600 HDMI Audio [Radeon Xpress 1250]
+	793f  RS690M [Radeon Xpress 1200/1250/1270] (Secondary)
+	7941  RS600 [Radeon Xpress 1250]
+	7942  RS600M [Radeon Xpress 1250]
+	796e  RS740 [Radeon 2100]
+	9400  R600 [Radeon HD 2900 PRO/XT]
+		1002 2552  Radeon HD 2900 XT
+		1002 3000  Radeon HD 2900 PRO
 		1002 3142  HIS Radeon HD 2900XT 512MB GDDR3 VIVO PCIe
+	9401  R600 [Radeon HD 2900 XT]
 	9403  R600 [Radeon HD 2900 PRO]
-	940a  R600GL [Fire GL V8650]
-	940b  R600GL [Fire GL V8600]
-	940f  R600 [FireGL V7600]
+	9405  R600 [Radeon HD 2900 GT]
+	940a  R600 GL [FireGL V8650]
+	940b  R600 GL [FireGL V8600]
+	940f  R600 GL [FireGL V7600]
 	9440  RV770 [Radeon HD 4870]
 	9441  R700 [Radeon HD 4870 X2]
 	9442  RV770 [Radeon HD 4850]
-		1002 0502  MSI R4850-T2D512
-		174b e810  Sapphire HD 4850 512MB GDDR3 PCI-E Dual Slot Fansink
-	9443  R700 [Radeon HD 4850]
-	944a  M98L [Mobility Radeon HD 4850]
-	944c  RV770 LE [Radeon HD 4800 Series]
+		1002 0502  MSI Radeon HD 4850 512MB GDDR3
+		174b e810  Radeon HD 4850 512MB GDDR3
+	9443  R700 [Radeon HD 4850 X2]
+	9444  RV770 GL [FirePro V8750]
+	9446  RV770 GL [FirePro V7760]
+	944a  RV770/M98L [Mobility Radeon HD 4850]
+	944b  RV770/M98 [Mobility Radeon HD 4850 X2]
+	944c  RV770 LE [Radeon HD 4830]
 	944e  RV770 CE [Radeon HD 4710]
-	9450  RV770 [FireStream 9270]
-	9452  RV770 [FireStream 9250]
-	945a  M98 XT [Mobility Radeon HD 4870]
+		174b 3261  Radeon HD 4810
+	9450  RV770 GL [FireStream 9270]
+	9452  RV770 GL [FireStream 9250]
+	9456  RV770 GL [FirePro V8700]
+	945a  RV770/M98-XT [Mobility Radeon HD 4870]
 	9460  RV790 [Radeon HD 4890]
-	9462  RV790LE [Radeon HD 4800 Series]
-	9480  M96 [Mobility Radeon HD 4650]
-		103c 3628  ATI Mobility Radeon HD 4650 [dv6-1190en]
-	9485  RV740 Pro [Radeon HD 4770]
-	9488  RV730 XT [Mobility Radeon HD 4670]
-	9489  M96 XT [Mobility FireGL V5725]
-	9490  RV730XT [Radeon HD 4670]
+	9462  RV790 [Radeon HD 4860]
+	946a  RV770 GL [FirePro M7750]
+	9480  RV730/M96 [Mobility Radeon HD 4650/5165]
+		103c 3628  Mobility Radeon HD 4650 [dv6-1190en]
+	9488  RV730/M96-XT [Mobility Radeon HD 4670]
+	9489  RV730/M96 GL [Mobility FireGL V5725]
+	9490  RV730 XT [Radeon HD 4670]
 		174b e880  Radeon HD 4670 512MB DDR3
-	9491  M96 CSP [ATI RADEON E4690]
-	9495  RV730 Pro AGP [Radeon HD 4600 Series]
-		1002 9495  RV730 XT [PowerColor Radeon HD4670 AGP 1GB DDR]
-		1458 0028  HD4650
+	9491  RV730/M96-CSP [Radeon E4690]
+	9495  RV730 [Radeon HD 4600 AGP Series]
+		1002 0028  Radeon HD 4650/4670 AGP
+		1092 0028  Radeon HD 4670 AGP 512MB DDR2
+		1458 0028  Radeon HD 4650 AGP
+		1682 0028  Radeon HD 4650 AGP
+		174b 0028  Radeon HD 4650 AGP DDR2
 	9498  RV730 PRO [Radeon HD 4650]
-	949e  RV370 [FirePro V5700]
-	949f  RV730 [FirePro V5700]
-	94a0  Mobility Radeon HD 4830 [M97]
-	94a1  [M97 XT] Mobility Radeon HD 4860
-	94a3  M97 GL [ATI FirePro M7740]
-	94b3  Radeon HD 4770 [RV740]
-	94b4  RV740 LE [ATI Radeon HD 4700 Series]
-	94c1  RV610 [Radeon HD 2400 XT]
+	949c  RV730 GL [FirePro V7750]
+	949e  RV730 GL [FirePro V5700]
+	949f  RV730 GL [FirePro V3750]
+	94a0  RV740/M97 [Mobility Radeon HD 4830]
+	94a1  RV740/M97-XT [Mobility Radeon HD 4860]
+	94a3  RV740/M97 GL [FirePro M7740]
+	94b3  RV740 PRO [Radeon HD 4770]
+	94b4  RV740 PRO [Radeon HD 4750]
+	94c1  RV610 [Radeon HD 2400 PRO/XT]
 		1028 0211  Optiplex 755
 		1028 0d02  Optiplex 755
-	94c3  RV610 video device [Radeon HD 2400 PRO]
-		1002 94c3  Radeon HD 2400PRO
+	94c3  RV610 [Radeon HD 2400 PRO]
 		1028 0302  Radeon HD 2400 Pro
-		174b e400  Sapphire HD 2400 PRO video device
-		18bc 3550  GeCube Radeon HD2400 PRO
-	94c4  RV610 LE AGP [Radeon HD 2400 PRO AGP]
-	94c8  Radeon HD 2400 XT
-	94c9  Mobility Radeon HD 2400
+		174b e400  Radeon HD 2400 PRO
+		18bc 3550  GeCube Radeon HD 2400 PRO
+	94c4  RV610 LE [Radeon HD 2400 PRO AGP]
+	94c5  RV610 [Radeon HD 2400 LE]
+	94c7  RV610 [Radeon HD 2350]
+	94c8  RV610/M74 [Mobility Radeon HD 2400 XT]
+	94c9  RV610/M72-S [Mobility Radeon HD 2400]
 		1002 94c9  Radeon HD2400
-	94cb  Radeon E2400
-	94cc  RV610 LE [Radeon HD 2400 Pro PCI]
+	94cb  RV610 [Radeon E2400]
+	94cc  RV610 LE [Radeon HD 2400 PRO PCI]
+	9500  RV670 [Radeon HD 3850 X2]
 	9501  RV670 [Radeon HD 3870]
-		174b e620  Sapphire Radeon HD 3870 PCIe 2.0
-	9504  RV670 [Mobility Radeon HD 3850]
-	9505  RV670PRO [Radeon HD 3850]
-	9507  RV670 [Radeon HD 3850]
-	9508  M88 XT Mobility Radeon HD 3870]
-	950f  R680 [Radeon HD 3870 x2]
-	9511  RV670 [FireGL 7700]
-	9515  RV670 AGP [Radeon HD 3850]
-	9519  RV670 [FireStream 9170]
+		174b e620  Radeon HD 3870
+	9504  RV670/M88 [Mobility Radeon HD 3850]
+	9505  RV670 [Radeon HD 3690/3850]
+		148c 3000  Radeon HD 3850
+		174b 3000  Radeon HD 3690/3850
+		1787 3000  Radeon HD 3690
+	9506  RV670/M88 [Mobility Radeon HD 3850 X2]
+	9507  RV670 [Radeon HD 3830]
+	9508  RV670/M88-XT [Mobility Radeon HD 3870]
+	9509  RV670/M88 [Mobility Radeon HD 3870 X2]
+	950f  R680 [Radeon HD 3870 X2]
+	9511  RV670 GL [FireGL V7700]
+	9513  RV670 [Radeon HD 3850 X2]
+	9515  RV670 PRO [Radeon HD 3850 AGP]
+	9519  RV670 GL [FireStream 9170]
 	9540  RV710 [Radeon HD 4550]
-	954f  RV710 [Radeon HD 4350]
+	954f  RV710 [Radeon HD 4350/4550]
 		1462 1618  R4350 MD512H (MS-V161)
-	9552  RV710 [Mobility Radeon HD 4300 Series]
-	9553  RV710 [Mobility Radeon HD 4500/5100 Series]
+	9552  RV710/M92 [Mobility Radeon HD 4330/4350/4550]
+		1028 1103  M92 [Mobility Radeon HD 4330]
+# GV-R435OC-512I/FF1
+		1458 21ac  Radeon HD 4350
+# GV-R455HM-512I/F41
+		1458 21ed  Radeon HD 4550
+# 113-100928-J01
+		148c 3000  Radeon HD 4350 Go! Green 512MB GDDR3
+# 113-2E172001-003
+		174b 3000  Radeon HD 4350/4550 HyperMemory DDR2
+	9553  RV710/M92 [Mobility Radeon HD 4530/4570/545v]
 		1179 ff82  Satellite L505-13T GPU (Mobility Radeon HD 5145)
-	9555  RV710 [Mobility Radeon HD 4300/4500 Series]
+	9555  RV710/M92 [Mobility Radeon HD 4350/4550]
 		103c 1411  ProBook 4720s GPU (Mobility Radeon HD 4350)
-	9559  RV635 [Mobility Radeon HD 3600 Series]
-	955f  RV710 [Mobility Radeon HD 4330]
-	9581  RV630 [Mobility Radeon HD 2600]
-	9583  RV630 [Mobility Radeon HD 2600 XT]
-	9586  RV 630 XT AGP [Radeon HD 2600 XT AGP]
-	9587  RV630 PRO AGP [Radeon HD 2600 PRO AGP]
-	9588  RV630 [Radeon HD 2600XT]
+	9557  RV711 GL [FirePro RG220]
+	955f  RV710/M92 [Mobility Radeon HD 4330]
+	9580  RV630 [Radeon HD 2600 PRO]
+	9581  RV630/M76 [Mobility Radeon HD 2600]
+	9583  RV630/M76 [Mobility Radeon HD 2600 XT/2700]
+		106b 0083  iMac 7,1
+		1734 1107  Mobility Radeon HD 2700
+	9586  RV630 XT [Radeon HD 2600 XT AGP]
+	9587  RV630 PRO [Radeon HD 2600 PRO AGP]
+	9588  RV630 XT [Radeon HD 2600 XT]
 		1458 216c  Radeon HD 2600 XT, 256MB GDDR3, 2x DVI, TV-out, PCIe (GV-RX26T256H)
-	9589  RV630 [Radeon HD 2600 Series]
-	958c  RV630GL [FireGL v5600]
-	958d  RV630 [FireGL V3600]
-	9591  RV635 [Mobility Radeon HD 3650]
+	9589  RV630 PRO [Radeon HD 2600 PRO]
+# Rebranded HD 2600 PRO
+		1787 3000  Radeon HD 3610
+	958a  RV630 [Radeon HD 2600 X2]
+	958b  RV630/M76 [Mobility Radeon HD 2600 XT]
+	958c  RV630 GL [FireGL V5600]
+	958d  RV630 GL [FireGL V3600]
+	9591  RV635/M86 [Mobility Radeon HD 3650]
 		1002 9591  Mobility Radeon HD 3650
-	9593  RV635 [Mobility Radeon HD 3670]
-	9595  M86GL [Mobility FireGL V5700]
-	9596  RV635 PRO AGP [Radeon HD 3650]
+	9593  RV635/M86 [Mobility Radeon HD 3670]
+	9595  RV635/M86 GL [Mobility FireGL V5700]
+	9596  RV635 PRO [Radeon HD 3650 AGP]
 		1043 0028  EAH3650 SILENT/HTDI/512M/A
-	9598  RV630 [Radeon HD 3600 Series]
+	9597  RV635 PRO [Radeon HD 3650 AGP]
+	9598  RV635 [Radeon HD 3650/3750/4570/4580]
 		1002 9598  Mobility Radeon HD 3600
 		1043 01d6  EAH3650 Silent
+		1043 3001  Radeon HD 4570
+		174b 3001  Radeon HD 3750
+		174b 4580  RV635 PRO [Radeon HD 4580]
+	9599  RV635 PRO [Radeon HD 3650 AGP]
 	95c0  RV620 PRO [Radeon HD 3470]
 		1002 95c0  Mobility Radeon HD 3470
-	95c4  RV620 [Mobility Radeon HD 3400 Series]
+	95c2  RV620/M82 [Mobility Radeon HD 3410/3430]
+	95c4  RV620/M82 [Mobility Radeon HD 3450/3470]
 		1002 95c4  Mobility Radeon HD 3400
 	95c5  RV620 LE [Radeon HD 3450]
-	95c6  RV620 LE AGP [Radeon HD 3450]
-	95c7  RV620 CE [Radeon HD 3430]
-	95c9  RV620 PCI [Radeon HD 3450]
-	95cc  RV620 [ATI FireGL V3700]
-	95cd  RV620 [FireMV 2450]
-	95ce  RV620 [FirePro 2260]
-	95cf  RV620 [FirePro 2260]
-	960f  RS780 HDMI Audio [Radeon HD 3000-3300 Series]
+		1028 0342  OptiPlex 980
+	95c6  RV620 LE [Radeon HD 3450 AGP]
+	95c9  RV620 LE [Radeon HD 3450 PCI]
+	95cc  RV620 GL [FirePro V3700]
+	95cf  RV620 GL [FirePro 2260]
+	960f  RS780 HDMI Audio [Radeon (HD) 3000 Series]
 	9610  RS780 [Radeon HD 3200]
 		1458 d000  GA-MA78GM-S2H Motherboard
-	9611  RS780C [Radeon HD 3100]
-	9612  RS780M/RS780MN [Mobility Radeon HD 3200 Graphics]
-	9613  RS780MC [Mobility Radeon HD 3100 Graphics]
+	9611  RS780C [Radeon 3100]
+	9612  RS780M [Mobility Radeon HD 3200]
+	9613  RS780MC [Mobility Radeon HD 3100]
 	9614  RS780D [Radeon HD 3300]
-	9615  RS780E [Radeon HD 3200]
-	9616  RS780L [Radeon HD 3000]
+	9616  RS780L [Radeon 3000]
 	9640  BeaverCreek [Radeon HD 6550D]
-	9641  BeaverCreek [Mobility Radeon HD 6620G]
+	9641  BeaverCreek [Radeon HD 6620G]
+	9642  Sumo [Radeon HD 6370D]
+	9643  Sumo [Radeon HD 6380G]
+	9644  Sumo [Radeon HD 6410D]
+	9645  Sumo [Radeon HD 6410D]
+	9647  BeaverCreek [Radeon HD 6520G]
+	9648  Sumo [Radeon HD 6480G]
+	9649  Sumo [Radeon HD 6480G]
 	964a  BeaverCreek [Radeon HD 6530D]
+	964b  Sumo
+	964c  Sumo
+	964e  Sumo
+	964f  Sumo
 	970f  RS880 HDMI Audio [Radeon HD 4200 Series]
+		1019 2120  A785GM-M
 		1043 83a2  M4A785TD Motherboard
 		1043 843e  M5A88-V EVO
 	9710  RS880 [Radeon HD 4200]
+		1019 2120  A785GM-M
 		1043 83a2  M4A785TD Motherboard
-	9712  RS880M [Mobility Radeon HD 4200 Series]
+	9712  RS880M [Mobility Radeon HD 4225/4250]
 	9713  RS880M [Mobility Radeon HD 4100]
 	9714  RS880 [Radeon HD 4290]
 	9715  RS880 [Radeon HD 4250]
 		1043 843e  M5A88-V EVO
 # Radeon HD 6250 too?
 	9802  Wrestler [Radeon HD 6310]
+		174b 1001  PURE Fusion Mini
+	9803  Wrestler [Radeon HD 6310]
 	9804  Wrestler [Radeon HD 6250]
+	9805  Wrestler [Radeon HD 6250]
 	9806  Wrestler [Radeon HD 6320]
 	9807  Wrestler [Radeon HD 6290]
-	aa00  R600 Audio Device [Radeon HD 2900 Series]
-	aa08  RV630 audio device [Radeon HD 2600 Series]
+	9808  Wrestler [Radeon HD 7340]
+	9809  Wrestler [Radeon HD 7310]
+	980a  Wrestler [Radeon HD 7290]
+	9830  Kabini [Radeon HD 8400]
+	9831  Kabini [Radeon HD 8400E]
+	9832  Kabini [Radeon HD 8330]
+	9833  Kabini [Radeon HD 8330E]
+	9834  Kabini [Radeon HD 8210]
+	9835  Kabini [Radeon HD 8310E]
+	9836  Kabini [Radeon HD 8280]
+	9837  Kabini [Radeon HD 8280E]
+	9838  Kabini [Radeon HD 8240]
+	9839  Kabini [Radeon HD 8180]
+	983a  Kabini
+	983b  Kabini
+	983c  Kabini
+	983d  Temash [Radeon HD 8250/8280G]
+	983e  Kabini
+	983f  Kabini
+	9850  Mullins [Radeon APU A6-6200 with R3 Graphics]
+	9851  Mullins [Radeon APU A4-6000 with R2 Graphics]
+	9852  Mullins [Radeon APU A4-6000 with R2 Graphics]
+	9853  Mullins [Radeon APU E2-4000 with R2 Graphics]
+	9854  Mullins [Radeon APU E2-3700 with R2 Graphics]
+	9855  Mullins [Radeon APU XX-2450M with R3 Graphics]
+	9856  Mullins [Radeon APU XX-2200M with R2 Graphics]
+	9857  Mullins [Radeon APU XX-2200M with R2 Graphics]
+	9858  Mullins
+	9859  Mullins
+	985a  Mullins
+	985b  Mullins
+	985c  Mullins
+	985d  Mullins
+	985e  Mullins
+	985f  Mullins
+# AMD A10-5800K CPU
+	9901  Trinity [Radeon HD 7660D]
+	9902  Trinity HDMI Audio Controller
+	9903  Trinity [Radeon HD 7640G]
+	9904  Trinity [Radeon HD 7560D]
+	9905  Trinity [FirePro A300 Series Graphics]
+	9906  Trinity [FirePro A300 Series Graphics]
+	9907  Trinity [Radeon HD 7620G]
+	9908  Trinity [Radeon HD 7600G]
+	9909  Trinity [Radeon HD 7500G]
+	990a  Trinity [Radeon HD 7500G]
+	990b  Richland [Radeon HD 8650G]
+	990c  Richland [Radeon HD 8670D]
+	990d  Richland [Radeon HD 8550G]
+	990e  Richland [Radeon HD 8570D]
+	990f  Richland [Radeon HD 8610G]
+	9910  Trinity [Radeon HD 7660G]
+	9913  Trinity [Radeon HD 7640G]
+	9917  Trinity [Radeon HD 7620G]
+	9918  Trinity [Radeon HD 7600G]
+	9919  Trinity [Radeon HD 7500G]
+	9990  Trinity [Radeon HD 7520G]
+	9991  Trinity [Radeon HD 7540D]
+	9992  Trinity [Radeon HD 7420G]
+	9993  Trinity [Radeon HD 7480D]
+	9994  Trinity [Radeon HD 7400G]
+	9995  Richland [Radeon HD 8450G]
+	9996  Richland [Radeon HD 8470D]
+	9997  Richland [Radeon HD 8350G]
+	9998  Richland [Radeon HD 8370D]
+	9999  Richland [Radeon HD 8510G]
+	999a  Richland [Radeon HD 8410G]
+	999b  Richland [Radeon HD 8310G]
+	999c  Richland
+	999d  Richland
+	99a0  Trinity [Radeon HD 7520G]
+	99a2  Trinity [Radeon HD 7420G]
+	99a4  Trinity [Radeon HD 7400G]
+	aa00  R600 HDMI Audio [Radeon HD 2900 Series]
+	aa08  RV630 HDMI Audio [Radeon HD 2600 Series]
 	aa10  RV610 HDMI Audio [Radeon HD 2350/2400 Series]
-		174b aa10  Sapphire HD 2400 PRO audio device
-		18bc aa10  GeCube Radeon HD 2400 PRO HDCP-capable digital-only audio device
+		174b aa10  Radeon HD 2400 PRO
+		18bc aa10  GeCube Radeon HD 2400 PRO
 	aa18  RV670/680 HDMI Audio [Radeon HD 3690/3800 Series]
 	aa20  RV635 HDMI Audio [Radeon HD 3600 Series]
 	aa28  RV620 HDMI Audio [Radeon HD 3400 Series]
 	aa30  RV770 HDMI Audio [Radeon HD 4850/4870]
-		174b aa30  Sapphire HD 4850 512MB GDDR3 PCI-E Dual Slot Fansink
+		174b aa30  Radeon HD 4850 512MB GDDR3 PCI-E Dual Slot Fansink
 	aa38  RV710/730 HDMI Audio [Radeon HD 4000 series]
-		103c 3628  ATI RV710/730 [dv6-1190en]
-		174b aa38  R700 Audio Device [Radeon HD 4000 Series]
+		103c 3628  dv6-1190en
 	aa50  Cypress HDMI Audio [Radeon HD 5800 Series]
 	aa58  Juniper HDMI Audio [Radeon HD 5700 Series]
 # 5500, 5600 and mobile 5700 series
@@ -1879,18 +3019,19 @@
 		1028 aa68  XPS 8300
 	aa80  Cayman/Antilles HDMI Audio [Radeon HD 6900 Series]
 	aa88  Barts HDMI Audio [Radeon HD 6800 Series]
-# 6500, 6600 and mobile 6700 series
-	aa90  Turks HDMI Audio [Radeon HD 6000 Series]
+	aa90  Turks/Whistler HDMI Audio [Radeon HD 6000 Series]
+		1028 04a3  Precision M4600
 	aa98  Caicos HDMI Audio [Radeon HD 6400 Series]
-		174b aa98  Sapphire HD 6450 1GB DDR3
+		174b aa98  Radeon HD 6450 1GB DDR3
 	aaa0  Tahiti XT HDMI Audio [Radeon HD 7970 Series]
+	aab0  Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series]
 	ac00  Theater 600 Pro
 	ac02  TV Wonder HD 600 PCIe
 	ac12  Theater HD T507 (DVB-T) TV tuner/capture device
-	cab0  RS100 AGP Bridge [IGP 320M]
-	cab2  RS200/RS200M AGP Bridge [IGP 340M]
-	cab3  R200 AGP Bridge [Mobility Radeon 7000 IGP]
-	cbb2  RS200/RS200M AGP Bridge [IGP 340M]
+	cab0  RS100 Host Bridge
+	cab2  RS200 Host Bridge
+	cab3  RS250 Host Bridge
+	cbb2  RS200 Host Bridge
 1003  ULSI Systems
 	0201  US201
 1004  VLSI Technology Inc
@@ -1920,8 +3061,11 @@
 		1004 0306  QSound ThunderBird PCI Audio Support Registers
 		122d 1208  DSP368 Audio Support Registers
 		1483 5022  XWave Thunder 3D Audio Support Registers
-	0307  Thunderbird
-	0308  Thunderbird
+	0307  SAA7785 ThunderBird PCI Audio
+		1004 0703  Philips Rhythmic Edge PSC703
+		1004 0705  Philips Seismic Edge PSC705
+		1004 0706  Philips Acoustic Edge PSC706
+	0308  SAA7785 ThunderBird PCI Audio Gameport
 	0702  VAS96011 [Golden Gate II]
 	0703  Tollgate
 1005  Avance Logic Inc. [ALI]
@@ -1947,6 +3091,7 @@
 		103c 0024  Pavilion ze4400 builtin Network
 		12d9 000c  Aculab E1/T1 PMXc cPCI carrier card
 		1385 f311  FA311 / FA312 (FA311 with WoL HW)
+		1385 f312  FA312 (rev. A1) Fast Ethernet PCI Adapter
 	0021  PC87200 PCI to ISA Bridge
 	0022  DP83820 10/100/1000 Ethernet Controller
 		1186 4900  DGE-500T
@@ -2188,7 +3333,6 @@
 	0054  GXT500P/GXT550P Graphics Adapter
 	0057  MPEG PCI Bridge
 	0058  SSA Adapter [Advanced SerialRAID/X]
-	005c  i82557B 10/100
 	005e  GXT800P Graphics Adapter
 	007c  ATM Controller (14107c00)
 	007d  3780IDSP [MWave]
@@ -2211,7 +3355,6 @@
 	00be  ATM 622MBPS Controller (1410be00)
 	00dc  Advanced Systems Management Adapter (ASMA)
 	00fc  CPC710 Dual Bridge and Memory Controller (PCI-64)
-	0104  Gigabit Ethernet-SX Adapter
 	0105  CPC710 Dual Bridge and Memory Controller (PCI-32)
 	010f  Remote Supervisor Adapter (RSA)
 	0142  Yotta Video Compositor Input
@@ -2251,9 +3394,6 @@
 	021b  GXT6500P Graphics Adapter
 	021c  GXT4500P Graphics Adapter
 	0233  GXT135P Graphics Adapter
-	0266  PCI-X Dual Channel SCSI
-	0268  Gigabit Ethernet-SX Adapter (PCI-X)
-	0269  10/100/1000 Base-TX Ethernet Adapter (PCI-X)
 	028c  Citrine chipset SCSI controller
 		1014 028d  Dual Channel PCI-X DDR SAS RAID Adapter (572E)
 		1014 02be  Dual Channel PCI-X DDR U320 SCSI RAID Adapter (571B)
@@ -2272,6 +3412,7 @@
 	0339  Obsidian-E PCI-E SCSI controller
 		1014 030a  PCIe 3Gb SAS RAID Adapter (574E)
 		1014 033a  PCIe 3Gb SAS Adapter (57B3)
+		1014 035c  PCIe x8 Internal 3Gb SAS adapter (57CC)
 		1014 0360  PCI-E Auxiliary Cache Adapter (57B7)
 	033d  PCI-E IPR SAS Adapter (FPGA)
 		1014 033c  PCIe2 1.8GB Cache 6Gb SAS RAID Adapter Tri-port (57B5)
@@ -2285,6 +3426,8 @@
 		1014 0357  PCIe2 6Gb SAS Adapter Quad-port (57C6)
 		1014 035d  PCIe3 1.8GB Cache RAID SAS Adapter Quad-port 6GB (57C8)
 		1014 035e  PCIe2 3.6GB Cache 6Gb SAS RAID Adapter Quad-port (57CE)
+		1014 03fb  PCIe3 28GB Cache RAID SAS Enclosure 6Gb x 16 (57D5)
+	04aa  Flash Adapter 900GB Full Height
 	3022  QLA3022 Network Adapter
 	4022  QLA3022 Network Adapter
 	ffff  MPIC-2 interrupt controller
@@ -2356,7 +3499,7 @@
 101f  PictureTel
 1020  Hitachi Computer Products
 1021  OKI Electric Industry Co. Ltd.
-1022  Advanced Micro Devices [AMD]
+1022  Advanced Micro Devices, Inc. [AMD]
 	1100  K8 [Athlon64/Opteron] HyperTransport Technology Configuration
 	1101  K8 [Athlon64/Opteron] Address Map
 	1102  K8 [Athlon64/Opteron] DRAM Controller
@@ -2386,12 +3529,21 @@
 	1417  Family 15h (Models 10h-1fh) Processor Root Port
 	1418  Family 15h (Models 10h-1fh) Processor Root Port
 	1419  Family 15h (Models 10h-1fh) I/O Memory Management Unit
+	1439  Family 16h Processor Functions 5:1
 	1510  Family 14h Processor Root Complex
 	1512  Family 14h Processor Root Port
 	1513  Family 14h Processor Root Port
 	1514  Family 14h Processor Root Port
 	1515  Family 14h Processor Root Port
 	1516  Family 14h Processor Root Port
+	1530  Family 16h Processor Function 0
+	1531  Family 16h Processor Function 1
+	1532  Family 16h Processor Function 2
+	1533  Family 16h Processor Function 3
+	1534  Family 16h Processor Function 4
+	1535  Family 16h Processor Function 5
+	1536  Family 16h Processor Root Complex
+	1538  Family 16h Processor Function 0
 	1600  Family 15h Processor Function 0
 	1601  Family 15h Processor Function 1
 	1602  Family 15h Processor Function 2
@@ -2456,6 +3608,10 @@
 	2097  CS5536 [Geode companion] UOC
 	209a  CS5536 [Geode companion] IDE
 	3000  ELanSC520 Microcontroller
+	43a0  Hudson PCI to PCI bridge (PCIE port 0)
+	43a1  Hudson PCI to PCI bridge (PCIE port 1)
+	43a2  Hudson PCI to PCI bridge (PCIE port 2)
+	43a3  Hudson PCI to PCI bridge (PCIE port 3)
 	7006  AMD-751 [Irongate] System Controller
 	7007  AMD-751 [Irongate] AGP Bridge
 	700a  AMD-IGR4 AGP Host to PCI Bridge
@@ -2510,32 +3666,37 @@
 		161f 3017  HDAMB
 	746e  AMD-8111 MC97 Modem
 	756b  AMD-8111 ACPI
-	7800  Hudson SATA Controller [IDE mode]
-	7801  Hudson SATA Controller [AHCI mode]
-	7802  Hudson SATA Controller [RAID mode]
-	7803  Hudson SATA Controller [RAID mode]
-	7804  Hudson SATA Controller [AHCI mode]
-	7805  Hudson SATA Controller [RAID mode]
-	7806  Hudson SD Flash Controller
-	7807  Hudson USB OHCI Controller
-	7808  Hudson USB EHCI Controller
-	7809  Hudson USB OHCI Controller
-	780b  Hudson SMBus Controller
-	780c  Hudson IDE Controller
-	780d  Hudson Azalia Controller
-	780e  Hudson LPC Bridge
-	780f  Hudson PCI Bridge
-	7812  Hudson USB XHCI Controller
+	7800  FCH SATA Controller [IDE mode]
+	7801  FCH SATA Controller [AHCI mode]
+		103c 168b  ProBook 4535s Notebook
+	7802  FCH SATA Controller [RAID mode]
+	7803  FCH SATA Controller [RAID mode]
+	7804  FCH SATA Controller [AHCI mode]
+	7805  FCH SATA Controller [RAID mode]
+	7806  FCH SD Flash Controller
+	7807  FCH USB OHCI Controller
+	7808  FCH USB EHCI Controller
+	7809  FCH USB OHCI Controller
+	780b  FCH SMBus Controller
+	780c  FCH IDE Controller
+	780d  FCH Azalia Controller
+		1043 8444  F2A85-M Series
+	780e  FCH LPC Bridge
+	780f  FCH PCI Bridge
+	7812  FCH USB XHCI Controller
+	7813  FCH SD Flash Controller
+	7814  FCH USB XHCI Controller
 	9600  RS780 Host Bridge
 		1043 82f1  M3A78-EH Motherboard
 	9601  RS880 Host Bridge
+		1019 2120  A785GM-M
 		1043 843e  M5A88-V EVO
 	9602  RS780/RS880 PCI to PCI bridge (int gfx)
 	9603  RS780 PCI to PCI bridge (ext gfx port 0)
 	9604  RS780/RS880 PCI to PCI bridge (PCIE port 0)
 	9605  RS780/RS880 PCI to PCI bridge (PCIE port 1)
 	9606  RS780 PCI to PCI bridge (PCIE port 2)
-	9607  RS780 PCI to PCI bridge (PCIE port 3)
+	9607  RS780/RS880 PCI to PCI bridge (PCIE port 3)
 	9608  RS780/RS880 PCI to PCI bridge (PCIE port 4)
 	9609  RS780/RS880 PCI to PCI bridge (PCIE port 5)
 	960a  RS780 PCI to PCI bridge (NB-SB link)
@@ -2774,6 +3935,7 @@
 		102b ff04  Marvel G200 AGP
 		110a 0032  MGA-G200 AGP
 	0522  MGA G200e [Pilot] ServerEngines (SEP1)
+		103c 31fa  ProLiant DL140 G3
 	0525  MGA G400/G450
 		0e11 b16f  MGA-G400 AGP
 		102b 0328  Millennium G400 16Mb SDRAM
@@ -2869,6 +4031,7 @@
 		1028 028d  PowerEdge T410 MGA G200eW WPCM450
 		1028 029c  PowerEdge M710 MGA G200eW WPCM450
 		1028 02a4  PowerEdge T310 MGA G200eW WPCM450
+		15d9 a811  H8DGU
 	0533  MGA G200EH
 		103c 3381  iLO4
 	0534  G200eR2
@@ -2898,11 +4061,10 @@
 		102b ff05  MGA-G100 Productiva AGP Multi-Monitor
 		110a 001e  MGA-G100 AGP
 	2007  MGA Mistral
-	2527  MGA G550 AGP
+	2527  Millennium G550
 		102b 0f83  Millennium G550
 		102b 0f84  Millennium G550 Dual Head DDR 32Mb
 		102b 1e41  Millennium G550
-# Clearly the device name should not say AGP anymore...
 		102b 2300  Millennium G550 LP PCIE
 	2537  Millenium P650/P750
 		102b 1820  Millennium P750 64MB
@@ -3065,8 +4227,8 @@
 	002a  PowerVR 3D
 	002c  Star Alpha 2
 	002d  PCI to C-bus Bridge
-	0035  USB
-		1033 0035  Hama USB 2.0 CardBus
+	0035  OHCI USB Controller
+		1033 0035  USB Controller
 		103c 1293  USB add-in card
 		103c 1294  USB 2.0 add-in card
 		1179 0001  USB
@@ -3100,7 +4262,7 @@
 		12ee 8011  Root hub
 	00ce  uPD72871 [Firewarden] IEEE1394a OHCI 1.0 Link/1-port PHY Controller
 	00df  Vr4131
-	00e0  USB 2.0
+	00e0  uPD72010x USB 2.0 Controller
 		12ee 7001  Root hub
 		14c2 0205  PTI-205N USB 2.0 Host Controller
 		1799 0002  Root Hub
@@ -3112,7 +4274,9 @@
 	0125  uPD720400 PCI Express - PCI/PCI-X Bridge
 	013a  Dual Tuner/MPEG Encoder
 	0194  uPD720200 USB 3.0 Host Controller
+		1028 04a3  Precision M4600
 		1028 04b2  Vostro 3350
+		1028 04da  Vostro 3750
 		1043 8413  P8P67 Deluxe Motherboard
 		1b96 0001  USB 3.0 PCIe Card
 	01e7  uPD72873 [Firewarden] IEEE1394a OHCI 1.1 Link/2-port PHY Controller
@@ -3125,12 +4289,12 @@
 1038  AMP, Inc
 1039  Silicon Integrated Systems [SiS]
 	0001  AGP Port (virtual PCI-to-PCI bridge)
-	0002  SG86C202
+	0002  AGP Port (virtual PCI-to-PCI bridge)
 	0003  AGP Port (virtual PCI-to-PCI bridge)
 	0004  PCI-to-PCI bridge
 	0006  85C501/2/3
 	0008  SiS85C503/5513 (LPC Bridge)
-	0009  ACPI
+	0009  5595 Power Management Controller
 	000a  PCI-to-PCI bridge
 	0016  SiS961/2/3 SMBus controller
 	0018  SiS85C503/5513 (LPC Bridge)
@@ -3264,6 +4428,7 @@
 	7007  FireWire Controller
 		1462 701d  MS-6701
 	7012  SiS7012 AC'97 Sound Controller
+		1019 0f05  A928 (i-Buddie)
 		1039 7012  SiS 7012 onboard [Asus P4SC-EA] AC'97 Sound Controller
 		1043 818f  A8S-X Motherboard
 		13f6 0300  CMI9739(A) on ECS K7SOM+ motherboard
@@ -3306,9 +4471,6 @@
 103a  Seiko Epson Corporation
 103b  Tatung Corp. Of America
 103c  Hewlett-Packard Company
-	0025  XE4500 Notebook
-	002a  NX9000 Notebook
-	08bc  NX5000 Notebook
 	1005  A4977A Visualize EG
 	1008  Visualize FX
 	1028  Tach TL Fibre Channel Host Adapter
@@ -3344,7 +4506,6 @@
 	10ed  TopTools Remote Control
 	10f0  rio System Bus Adapter
 	10f1  rio I/O Controller
-	1200  82557B 10/100 NIC
 	1219  NetServer PCI Hot-Plug Controller
 	121a  NetServer SMIC Controller
 	121b  NetServer Legacy COM Port Decoder
@@ -3361,20 +4522,10 @@
 	12eb  sx2000 System Bus Adapter
 	12ec  sx2000 I/O Controller
 	12ee  PCI-X 2.0 Local Bus Adapter
-	12f8  Broadcom BCM4306 802.11b/g Wireless LAN
-	12fa  BCM4306 802.11b/g Wireless LAN Controller
 	1302  RMP-3 Shared Memory Driver
 	1303  RMP-3 (Remote Management Processor)
-	1361  BCM4312 802.11a/b/g WLAN Controller
-	1371  Broadcom Corporation BCM4312 802.11a/b/g (rev 02)
-	1717  Intel 82571EB dual 1 Gb Ethernet controller
 	2910  E2910A PCIBus Exerciser
 	2925  E2925A 32 Bit, 33 MHzPCI Exerciser & Analyzer
-	3080  Pavilion ze2028ea
-	3085  Realtek RTL8139/8139C/8139C+
-	30a3  Compaq NW8440 Notebook
-	30b5  Compaq Presario V3000Z
-	31fb  DL365 ATI ES1000 VGA controller
 	3206  Adaptec Embedded Serial ATA HostRAID
 	3220  Smart Array P600
 		103c 3225  3 Gb/s SAS RAID
@@ -3401,6 +4552,23 @@
 		103c 3352  P421
 		103c 3354  P420i
 		103c 3355  P220i
+# New Smart Array controllers for Gen8+ servers
+	323c  Smart Array Gen8+ Controllers
+# Add marketing names for Gen8+ Smart Array
+		103c 1920  P430i
+# Add marketing names for Gen8+ Smart Array
+		103c 1921  P830i
+# Add marketing names for Gen8+ Smart Array
+		103c 1922  P430
+# Add marketing names for Gen8+ Smart Array
+		103c 1923  P431
+# Add marketing names for Gen8+ Smart Array
+		103c 1924  P830
+		103c 1925  Smart Array
+# Add marketing names for Gen8+ Smart Array
+		103c 1926  P731m
+# Add marketing names for Gen8+ Smart Array
+		103c 1928  P230i
 	3300  Integrated Lights-Out Standard Virtual USB Controller
 		103c 3304  iLO2
 		103c 3305  iLO2
@@ -3423,6 +4591,8 @@
 		103c 330e  iLO3
 		103c 3381  iLO4
 	3307  Integrated Lights-Out Standard Management Processor Support and Messaging
+# HP DL380 G6
+		103c 3309  iLO 2
 		103c 330e  iLO3
 		103c 3381  iLO4
 	3308  Integrated Lights-Out Standard MS Watchdog Timer
@@ -3449,33 +4619,8 @@
 		0675 1704  ISDN Adapter (PCI Bus, D, C)
 		0675 1707  ISDN Adapter (PCI Bus, DV, W)
 		10cf 105e  ISDN Adapter (PCI Bus, DV, W)
-	0c11  A7N8X Motherboard nForce2 IDE/USB/SMBus
-	4015  v7100 SDRAM [GeForce2 MX]
-	4021  v7100 Combo Deluxe [GeForce2 MX + TV tuner]
-	4057  v8200 GeForce 3
-	8043  v8240 PAL 128M [P4T] Motherboard
-	8047  v8420 Deluxe [GeForce4 Ti4200]
-	807b  v9280/TD [GeForce4 TI4200 8X With TV-Out and DVI]
-	8095  A7N8X Motherboard nForce2 AC97 Audio
-	80ac  A7N8X Motherboard nForce2 AGP/Memory
-	80bb  v9180 Magic/T [GeForce4 MX440 AGP 8x 64MB TV-out]
-	80c5  nForce3 chipset motherboard [SK8N]
-	80df  v9520 Magic/T
-	815a  A8N-SLI Motherboard nForce4 SATA
-	8168  Realtek PCI-E Gigabit Ethernet Controller (RTL8111B)
-	8187  802.11a/b/g Wireless LAN Card
-	8188  Tiger Hybrid TV Capture Device
-# Found on ASUS M2V motherboard
-	81e7  Realtek ALC-660 6-channel CODEC
-	81f4  EN7300TC512/TD/128M/A(C262G) [Graphics Card EN7300TC512]
-	8233  EEE-PC 701 Netbook
-	82ca  G96 GeForce 9500 GT
-	82e8  M3N72-D
-	8383  P7P55D Series Motherboard
-	83a4  Motherboard M2N68-AM SE2
-	843e  M5A88-V EVO
-# wrong vendor ID (should have been AMD)
-	9602  RS880 PCI to PCI bridge (int gfx)
+# Should be 1022:9602
+	9602  AMD RS780/RS880 PCI to PCI bridge (int gfx)
 		1043 83a2  M4A785TD Motherboard
 1044  Adaptec (formerly DPT)
 	1012  Domino RAID Engine
@@ -3540,6 +4685,7 @@
 	c825  82C825 [Firebridge 2]
 	c832  82C832
 	c861  82C861
+	c881  82C881 [FireLink] 1394 OHCI Link Controller
 	c895  82C895
 	c935  EV1935 ECTIVA MachOne PCIAudio
 	d568  82C825 [Firebridge 2]
@@ -3560,6 +4706,9 @@
 	0008  STG 2000X
 	0009  STG 1764X
 	0010  STG4000 [3D Prophet Kyro Series]
+		104a 4018  ST PowerVR Kyro (64MB AGP TVO)
+		1681 0028  3D Prophet 4000XT
+		1681 c010  3D Prophet 4500 TV-Out
 		1681 c069  3D Prophet 4000XT
 	0201  STPC Vega Northbridge
 	0209  STPC Consumer/Industrial North- and Southbridge
@@ -3655,7 +4804,7 @@
 	8024  TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
 		107d 6620  Winfast DV2000 FireWire Controller
 		1443 8024  FireBoard Blue
-		1458 1000  GA-EP45-DS5 Motherboard
+		1458 1000  Motherboard
 	8025  TSB82AA2 IEEE-1394b Link Layer Controller
 		1043 813c  P5P series mainboard
 		1443 8025  FireBoard800
@@ -3669,6 +4818,7 @@
 		103c 006a  NX9500
 		1043 808d  A7V333 mainboard.
 	8027  PCI4451 IEEE-1394 Controller
+		1028 00e5  Latitude C810
 		1028 00e6  PCI4451 IEEE-1394 Controller (Dell Inspiron 8100)
 	8029  PCI4510 IEEE-1394 Controller
 		1028 0163  Latitude D505
@@ -3741,6 +4891,7 @@
 	823f  XIO2213A/B/XIO2221 IEEE-1394b OHCI Controller [Cheetah Express]
 		1546 803c  FWB-PCIE1X11B
 	8240  XIO2001 PCI Express-to-PCI Bridge
+	8241  TUSB73x0 SuperSpeed USB 3.0 xHCI Host Controller
 	8400  ACX 100 22Mbps Wireless Interface
 		1186 3b00  DWL-650+ PC Card cardbus 22Mbs Wireless Adapter [AirPlus]
 		1186 3b01  DWL-520+ 22Mbps PCI Wireless Adapter
@@ -3753,6 +4904,8 @@
 		0308 3404  G-102 v1 802.11g Wireless Cardbus Adapter
 		0308 3406  G-162 v2 802.11g Wireless Cardbus Adapter
 		104c 9066  WL212 Sitecom Wireless Network PCI-Card 100M (Version 1)
+# Found in Philips ADSL ANNEX A WLAN Router SNA6500/18 sold by Belgacom
+		104c 9067  TNETW1130GVF
 		104c 9096  Trendnet TEW-412PC Wireless PCI Adapter (Version A)
 		1186 3b04  DWL-G520+ Wireless PCI Adapter
 		1186 3b05  DWL-G650+ AirPlusG+ CardBus Wireless LAN
@@ -3868,7 +5021,6 @@
 	8056  Rockwell HCF 56K modem
 	808a  Memory Stick Controller
 	81ce  SxS Pro memory card
-	902d  VAIO VGN-NR120E
 104e  Oak Technology, Inc
 	0017  OTI-64017
 	0107  OTI-107 [Spitfire]
@@ -3965,7 +5117,6 @@
 	18c0  MPC8265A/8266/8272
 	18c1  MPC8271/MPC8272
 	3052  SM56 Data Fax Modem
-	3055  SM56 Data Fax Modem
 	3410  DSP56361 Digital Signal Processor
 		ecc0 0050  Gina24 rev.0
 		ecc0 0051  Gina24 rev.1
@@ -4021,6 +5172,7 @@
 	1275  20275
 	3318  PDC20318 (SATA150 TX4)
 	3319  PDC20319 (FastTrak S150 TX4)
+		105a 3319  FastTrak S150 TX4 4 port SATA PCI board
 		8086 3427  S875WP1-E mainboard
 	3371  PDC20371 (FastTrak S150 TX2plus)
 	3373  PDC20378 (FastTrak 378/SATA 378)
@@ -4093,7 +5245,6 @@
 	c350  80333 [SuperTrak EX12350]
 	e350  80333 [SuperTrak EX24350]
 105b  Foxconn International, Inc.
-	0c4d  SiS AC'97 Sound Controller
 105c  Wipro Infotech Limited
 105d  Number 9 Computer Company
 	2309  Imagine 128
